package java.awt.geom;

import java.awt.Shape;

public final class GeneralPath extends Path2D.Float
{
    private static final long serialVersionUID = -8327096662768731142L;
    
    public GeneralPath() {
        super(1, 20);
    }
    
    public GeneralPath(int n) {
        super(n, 20);
    }
    
    public GeneralPath(int n, int n2) {
        super(n, n2);
    }
    
    public GeneralPath(Shape shape) {
        super(shape, null);
    }
    
    GeneralPath(int windingRule, byte[] pointTypes, int numTypes, float[] floatCoords, int numCoords) {
        this.windingRule = windingRule;
        this.pointTypes = pointTypes;
        this.numTypes = numTypes;
        this.floatCoords = floatCoords;
        this.numCoords = numCoords;
    }
}
